function f = HccpenL1adapXYlambdaforBIC4(Xtr,Ytr,lambda,betaUNP)

%%%Inputs:
%Xtr matrix design of the training data.
%Ytr labels vector of the training data.
%lambda regularization parameter.
%betaUNP unpenalized estimator of the training data. 

%%%Outputs:
%f.salphabeta estimations of s, alpha and beta.

p=length(betaUNP);
[n,t]=size(Xtr);

% threshold of the Huber loss.
M=1.345;

%Calculating the estimations of s, alpha and beta.
cvx_begin
variables alphaa betaa(p) s v(n);
minimize (n*s+quad_over_lin(Ytr-alphaa-Xtr*betaa-v,s)+2*M*norm(v,1)+ lambda*norm(betaa./betaUNP,1))
subject to
s > 0;
cvx_end
salphabeta=[s;alphaa;betaa(:)];

f.salphabeta=salphabeta;
f.minimum=cvx_optval;
%f.vop=v;
