function f = LADpenL1adapXYlambdaforBIC(Xtr,Ytr,lambda,betaUNP)

%%%Inputs:
%Xtr matrix design of the training data.
%Ytr labels vector of the training data.
%lambda regularization parameter.
%betaUNP unpenalized estimator of the training data. 

%%%Outputs:
%f.alphabeta estimations of alpha and beta.

p=length(betaUNP);

%Calculating the estimations of alpha and beta.
cvx_begin
variables alphaa betaa(p);
minimize (norm(Ytr-alphaa-Xtr*betaa,1)+ lambda*norm(betaa./betaUNP,1))
cvx_end
alphabeta=[alphaa;betaa(:)];

f.alphabeta=alphabeta;
