function X = moygeneration(n,r)
%Cette fonction genere la matrice de design X i.e. elle met en ligne n vecteurs tires suivant une loi  normale multidimensionnelle puis elle recentre la matrice obtenue pour que chaque variable (i.e. colonne) soit centre.

%Choix du nombre de variables (hors intercept)

p=8;

%Choix du vrai beta0 et du vrai alpha0

alpha0=1;
beta0=[3,1.5,0,0,2,0,0,0]';

%Choix de la matrice de covariance des variables.
Sigma=zeros(p,p);
for i=1:p
for j=1:p
Sigma(i,j)=r^(abs(i-j));
end
end


%Obtention de la matrice de design non-recentree
Xnonc=zeros(n,p);
X=zeros(n,p);
for i=1:n
u=randn(p,1);
v=sqrtm(Sigma)*u;
Xnonc(i,:)=v';
end

%centrage des variables de la matrice de design

means=mean(Xnonc);
X=Xnonc-repmat(means,n,1);

